## debhelper 10.2.2ubuntu1~ubuntu16.04.1

=== Makefile ===
# List of files of dh_* commands. Sorted for debhelper man page.
COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | LC_ALL=C sort)

# Find deprecated commands by looking at their synopsis.
DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))

# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=perl -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if (" $(DEPRECATED) " !~ / $$1 /) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			while (<STDIN>) { \
		        	s/\#LIST\#/$$list/; \
		        	s/\#LIST_DEPRECATED\#/$$list_deprecated/; \
				print; \
			}; \
		}'

# Figure out the `current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')

PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

PREFIX=/usr

POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"

ifneq ($(USE_NLS),no)
# l10n to be built is determined from .po files
LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
else
LANGS=
endif

build: version debhelper.7 debhelper-obsolete-compat.7
	find . -maxdepth 1 -type f -perm /100 -name "dh*" \
		-exec $(POD2MAN) {} {}.1 \;
ifneq ($(USE_NLS),no)
	po4a --previous -L UTF-8 man/po4a/po4a.cfg 
	set -e; \
	for lang in $(LANGS); do \
		dir=man/$$lang; \
		for file in $$dir/dh*.pod; do \
			prog=`basename $$file | sed 's/.pod//'`; \
			$(POD2MAN) $$file $$prog.$$lang.1; \
		done; \
		if [ -e $$dir/debhelper.pod ]; then \
			cat $$dir/debhelper.pod | \
				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | LC_ALL=C sort` | \
				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
		fi; \
		if [ -e $$dir/debhelper-obsolete-compat.pod ]; then \
			$(POD2MAN) --name="debhelper" --section=7 $$dir/debhelper-obsolete-compat.pod > debhelper-obsolete-compat.$$lang.7; \
		fi; \
	done
endif

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		Debian/Debhelper/Dh_Version.pm

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) $(COMMANDS) | \
		$(POD2MAN) --name="debhelper" --section=7  > $@

debhelper-obsolete-compat.7: debhelper-obsolete-compat.pod
	$(POD2MAN) --name="debhelper" --section=7 $^ > $@

clean:
	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
ifneq ($(USE_NLS),no)
	po4a --previous --rm-translations --rm-backups man/po4a/po4a.cfg
endif
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	[ "$(PREFIX)" = /usr ] || \
		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem

test: version
	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/*/*
	# clean up log etc
	./run dh_clean

=== debian/changelog ===
debhelper (10.2.2ubuntu1~ubuntu16.04.1) xenial-backports; urgency=medium

  * No-change backport to xenial

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 11 Nov 2016 09:48:33 +0000

=== t/dh_installdocs/debian/changelog ===
foo (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- Test <testing@nowhere>  Mon, 11 Jul 2016 18:10:59 +0200

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Bernhard R. Link <brlink@debian.org>
Build-Depends: dpkg-dev (>= 1.18.0~),
               perl:any,
               po4a (>= 0.24)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git

Package: debhelper
Architecture: all
Depends: autotools-dev,
         binutils,
         dh-autoreconf (>= 12~),
         dh-strip-nondeterminism,
         dpkg (>= 1.16.2),
         dpkg-dev (>= 1.18.2~),
         file (>= 3.23),
         libdpkg-perl (>= 1.17.14),
         man-db (>= 2.5.1-1),
         po-debconf,
         ${misc:Depends},
         ${perl:Depends}
Breaks: dh-systemd (<< 1.38)
Replaces: dh-systemd (<< 1.38)
Suggests: dh-make
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: dh-systemd
Section: oldlibs
Priority: extra
Architecture: all
Multi-Arch: foreign
Depends: debhelper (>= 9.20160709),
         ${misc:Depends},
Description: debhelper add-on to handle systemd unit files - transitional package
 This package is for transitional purposes and can be removed safely.

=== t/buildsystems/debian/control ===
Source: testsrcpackage
Section: devel
Priority: optional
Maintainer: Test <testing@nowhere>
Standards-Version: 3.8.1

Package: testpackage
Architecture: all
Description: short description
 Long description

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
# 
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.
#
# We use --no-parallel because the test suite is not thread safe.
# We disable autoreconf to avoid build-depending on it (it does
# nothing for debhelper and it keeps the set of B-D smaller)

%:
	./run dh $@ --no-parallel --without autoreconf

# Disable as they are unneeded (and we can then be sure debhelper
# builds without needing autotools-dev, dh-strip-nondetermism etc.)
override_dh_update_autotools_config override_dh_strip_nondeterminism:

override_dh_auto_install:
	./run dh_auto_install --destdir=debian/debhelper

## debhelper 10.2.2ubuntu1~ubuntu16.10.1

=== debian/changelog ===
debhelper (10.2.2ubuntu1~ubuntu16.10.1) yakkety-backports; urgency=medium

  * No-change backport to yakkety

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 11 Nov 2016 09:48:55 +0000

## debhelper 10.2.5~bpo8+1

=== debian/changelog ===
debhelper (10.2.5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Existing changes from previous bpo releases:
    - Disable automatic dbgsym as it requires dpkg-dev 1.18.2
    - Revert of sgml-base trigger as it needs a newer version
      of sgml-base (Related bug: #825005)

 -- Niels Thykier <niels@thykier.net>  Sat, 18 Feb 2017 10:01:20 +0000

debhelper (10.2.5) unstable; urgency=medium

  [ Translations ]
  * Add Japanese translation (Hideki Yamane)  (Closes: #852520)

 -- Niels Thykier <niels@thykier.net>  Wed, 25 Jan 2017 20:47:27 +0000

debhelper (10.2.4) unstable; urgency=medium

  [ Niels Thykier ]
  * d/changelog: Add missing changelog entry in 10.2.3 for a
    compat 11 change.
  * dh: Show when the "create-stamp" "command" is being run.
  * dh: Fix a bug where dh would repeat part of the build sequence
    when an add-on modified the build sequence after "dh_auto_test".
    Thanks to Sean Whitton for reporting the issue.
    (Closes: #851071)

  [ Luca Boccassi ]
  * dh_systemd_enable: Correct installation for "mount" units.
    (Closes: #851744)

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #851207)
  * Update French translation (Baptiste Jammet)  (Closes: #852211)
  * Update German translation (Chris Leick)  (Closes: #851962)

 -- Niels Thykier <niels@thykier.net>  Mon, 23 Jan 2017 20:28:37 +0000

debhelper (10.2.3) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix wrong German translation of dh_systemd_start man page. Thanks to
    Thorsten Alteholz for spotting the mistake! (Closes: #839655)

  [ Mattia Rizzolo ]
  * dh_auto_test: Apply patch from Mattia Rizzolo to update
    documentation about running tests during cross-building.

  [ Niels Thykier ]
  * Bump dependency on dh-strip-nondeterminism to ensure
    stable-backports uses a functional version.  Thanks to Christoph
    Biedl for the report. (Closes: #843813)
  * Massage md5sum output to avoid GNU-specific escaping extension
    while we wait for dpkg-gendigests for a more compatible tool.
    Thanks to Bernd Zeimetz for the report.  (Closes: #843163)
  * In compat 11, dh will now skip creating a stamp file unless the
    package explicitly requests it with "--with build-stamp".

  [ Felipe Sateler ]
  * dh_systemd_start: Fix a bug where --restart-after-upgrade with
    --no-start would still start the service.  (Closes: #805878)
  * dh_installinit: Leave the handling of debian/pkg.service and
    debian/pkg.tmpfiles to dh_systemd_*.  (Closes: #830208)

 -- Niels Thykier <niels@thykier.net>  Sat, 31 Dec 2016 21:27:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
-Build-Depends: dpkg-dev (>= 1.18.0~),
-               perl:any,
+Build-Depends: perl:any,
                po4a (>= 0.24)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
@@ -17,9 +15,9 @@
 Depends: autotools-dev,
          binutils,
          dh-autoreconf (>= 12~),
-         dh-strip-nondeterminism,
+         dh-strip-nondeterminism (>= 0.028~),
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.18.2~),
+         dpkg-dev (>= 1.17.0),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),

## debhelper 10.2.5

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
-Build-Depends: perl:any,
+Build-Depends: dpkg-dev (>= 1.18.0~),
+               perl:any,
                po4a (>= 0.24)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
@@ -17,7 +18,7 @@
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism (>= 0.028~),
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.17.0),
+         dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # nothing for debhelper and it keeps the set of B-D smaller)
 
 %:
-	./run dh $@ --no-parallel --without autoreconf
+	./run dh $@ --no-parallel --without autoreconf --with build-stamp
 
 # Disable as they are unneeded (and we can then be sure debhelper
 # builds without needing autotools-dev, dh-strip-nondetermism etc.)

## debhelper 10.7.2ubuntu2

=== Makefile ===
PERL ?= perl
PO4A ?= po4a
POD2MAN ?= pod2man

# List of files of dh_* commands. Sorted for debhelper man page.
COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | grep -v '~$$' | LC_ALL=C sort)
MANPAGES=$(COMMANDS:=.1) dh.1

# Find deprecated commands by looking at their synopsis.
DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    TEST_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
    TEST_JOBS = 1
endif

# Figure out the `current debhelper version.
VERSION=$(shell dpkg-parsechangelog -SVersion)

# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=$(PERL) -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if (" $(DEPRECATED) " !~ / $$1 /) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			my $$recommended_compat = q{$(VERSION)}; \
			$$recommended_compat =~ s{\..*}{}; \
			while (<STDIN>) { \
				s/\#LIST\#/$$list/g; \
				s/\#LIST_DEPRECATED\#/$$list_deprecated/g; \
				s/\#RECOMMENDED_COMPAT\#/$$recommended_compat/g; \
				print; \
			}; \
		}'

PERLLIBDIR=$(shell $(PERL) -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

PREFIX=/usr

POD2MAN_FLAGS=--utf8 -c Debhelper -r "$(VERSION)"

ifneq ($(USE_NLS),no)
# l10n to be built is determined from .po files
LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
LANG_TARGETS = $(foreach L,$(LANGS),translated-$(L)-stamp)
else
LANGS=
LANG_TARGETS =
endif

build: $(LANG_TARGETS) version debhelper.7 debhelper-obsolete-compat.7 $(MANPAGES)


po4a-stamp:
	po4a --previous -L UTF-8 man/po4a/po4a.cfg
	touch $@

translated-%-stamp: po4a-stamp
	set -e; \
	lang=$* ; \
	dir=man/$$lang; \
	for file in $$dir/dh*.pod; do \
		prog=`basename $$file | sed 's/.pod//'`; \
		$(POD2MAN) $(POD2MAN_FLAGS) $$file $$prog.$$lang.1; \
	done; \
	if [ -e $$dir/debhelper.pod ]; then \
		cat $$dir/debhelper.pod | \
			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | LC_ALL=C sort` | \
			$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 > debhelper.$$lang.7; \
	fi; \
	if [ -e $$dir/debhelper-obsolete-compat.pod ]; then \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $$dir/debhelper-obsolete-compat.pod > debhelper-obsolete-compat.$$lang.7; \
	fi
	touch $@

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		Debian/Debhelper/Dh_Version.pm

dh_%.1: dh_%
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

dh.1: dh
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) $(COMMANDS) | \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7  > $@

debhelper-obsolete-compat.7: debhelper-obsolete-compat.pod
	$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $^ > $@

clean:
	rm -f *-stamp *.1 *.7 Debian/Debhelper/Dh_Version.pm
ifneq ($(USE_NLS),no)
	$(PO4A) --previous --rm-translations --rm-backups man/po4a/po4a.cfg
endif
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	[ "$(PREFIX)" = /usr ] || \
		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem

test: version
	MAKEFLAGS= HARNESS_OPTIONS=j$(TEST_JOBS) ./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x && m/\.t$$/ } @ARGV' t/* t/*/*

=== debian/changelog ===
debhelper (10.7.2ubuntu2) artful; urgency=high

  * Define U_PARAMS correctly in dh_builddeb, and don't try to use it when it
    isn't defined.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 06 Aug 2017 10:13:33 -0500

debhelper (10.7.2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7. This floods packages with huge upstream changelogs which
      are unnecessary on an installed system.
    - Restore maintainer ability to override ddeb compression
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Mirror udeb code in dh_builddeb to allow us to alter file extension.
      + Set dbgsym Package-Type to ddeb to get correct debian/files output.
      + Depend on dpkg-dev (>= 1.18.23ubuntu3) so the above works correctly.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 06 Aug 2017 10:43:01 +0200

debhelper (10.7.2) unstable; urgency=medium

  * Dh_Lib: Fix inverted boolean logic that causes a
    compatibility rule to be ignored.  Thanks to Adrian Bunk,
    Andreas Beckmann, Markus Koschany and Emmanuel Bourg for
    reporting and analysing the issue.  (Closes: #870339)

 -- Niels Thykier <niels@thykier.net>  Tue, 01 Aug 2017 16:51:58 +0000

debhelper (10.7.1) unstable; urgency=medium

  * Dh_Lib: Fix doit's new call to ensure it does not call a shell
    (like the documentation promises).
  * dh: Ensure that we do not fork a shell for running a simple
    command.
  * autoconf: Revert expansion of ${var} variables passed to
    configure as several packages implicitly assume that are not
    expanded.  E.g. liblockfile relies on ${prefix} being
    unexpanded for DESTDIR to work.  Reopens: #813266

 -- Niels Thykier <niels@thykier.net>  Mon, 31 Jul 2017 19:00:45 +0000

debhelper (10.7) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_usrlocal: Fix call to doit to avoid making it fork a shell.
  * autoconf.pm: Ditto.
  * cmake.pm: Ditto.
  * meson.pm: Ditto.
  * dh_installmodules: Ensure maintscripts are reproducible even with
    multiple kernel versions detected.
  * Apply patches from gregor herrmann to improve autopkgtests.
  * Dh_Lib: Introduce a print_and_complex_doit.
  * Buildsystem: Introduce a complex_doit_in_builddir, which is needed
    by gradle-debian-helper.
  * Dh_Lib: Fix bug in doit + doit_* that made them fork a shell in
    some cases.  For backwards compatibility, there is detection code
    that should make it warn for this case and retain bug-compatibility.
    This can cause a weird "Please specify the compatibility level in
    debian/compat" error if the tools have chdir to a different directory.
  * Dh_Lib: Support an optional hashref in doit + doit_* to enable some
    trivial operations in the child process (e.g. redirect stdout).
  * dh_installman: Avoid forking a shell where a simple subprocess call
    is sufficient.
  * Dh_Lib: Avoid forking 2 to 7 subprocesses for adding an autosnippet
    when helper tools use a subroutine rather then a sed snippet.
  * Dh_Lib: Extend autoscript to accept a hashref and use that for
    substituting into the snippet.  This variant (like the subroutine
    variant) avoids forking a lot of subprocesses and need not worry
    about a shell possibly interpreting metacharacters.
  * dh_installman: Pass "-l" to man when recoding the manpages.
  * dh_icons: Use hashref based autoscripts generation.
  * dh_installcatalogs: Ditto.
  * dh_installemacsen: Ditto.
  * dh_installmenu: Ditto.
  * dh_installmodules: Ditto.
  * dh_installwm: Ditto.
  * dh_installxfonts: Ditto.
  * dh_systemd_enable: Ditto.
  * dh_systemd_start: Ditto.
  * Dh_Lib: Reduce the use of shell and external commands for
    generating the final maintscripts.
  * Dh_Lib: Make getpackages without any arguments return all
    packages as the documentation promises it should.  Previously,
    it would hide packages not built (e.g. due to Build-Profiles).
  * Dh_Lib: Provide a better error message when getpackages() is called
    by a helper in the wrong directory.  Unfortunately, dh cannot rely
    on dh_testdir to do this as dh_testdir is called too late.
  * dh: optimize out the call to dh_testdir.  It is useless for
    printing a helpful error message when called by dh.
  * dh_installdocs: Apply patch from Sven Joachim to revert an
    incorrect regression "fix".  Thanks to Adrian Bunk for
    reporting the issue.  (Closes: #868649)
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_gencontrol: Rewrite code that ensures that misc:Depends and
    misc:Pre-Depends are present to avoid relying external processes
    for this.
  * dh_builddeb: Let dpkg-deb choose the default compression level for
    dbgsym packages instead of using xz -1e.  The current default (xz -6)
    is likely to be a better default value for dbgsym packages.  Thanks to
    Adrian Bunk for the suggestion.  (Closes: #868674)
  * cmake.pm: Pass -DCMAKE_INSTALL_RUNSTATEDIR=/run to cmake in compat 11.
    Thanks to Felix Geyer for the suggestion.  (Closes: #869697)
  * cmake.pm: Avoid using the user specific cmake package registry.  Thanks
    to Christian Seiler and Felix Geyer.  (Closes: #868584)

  [ Colin Watson ]
  * Quote assignment to $recommended_compat in case it isn't a valid Perl
    version string (e.g. for Debian derivatives).  Fix typos that caused it
    not to be used correctly.  Use the /g flag so that all instances of the
    substitution variable are handled.  (Closes: #869780)

  [ Isaac Jurado ]
  * Make the autoconf buildsystem expand "${var}" values send to configure
    (e.g. pass --mandir=/usr/share/man instead of --mandir=${prefix}/share/man).
    (Closes: #813266)

 -- Niels Thykier <niels@thykier.net>  Sat, 29 Jul 2017 18:00:24 +0000

debhelper (10.6.4ubuntu1) artful; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a (>= 0.24)
 Standards-Version: 3.9.8
+Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git
 
@@ -18,7 +20,7 @@
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism (>= 0.028~),
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.18.2~),
+         dpkg-dev (>= 1.18.23ubuntu3),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),
@@ -26,7 +28,8 @@
          ${misc:Depends},
          ${perl:Depends}
 Breaks: dh-systemd (<< 1.38)
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make
 Multi-Arch: foreign
 Description: helper programs for debian/rules

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,11 @@
 # to ensure that the commands and libraries in the source tree are used,
 # rather than the installed ones.
 #
-# We use --no-parallel because the test suite is not thread safe.
 # We disable autoreconf to avoid build-depending on it (it does
 # nothing for debhelper and it keeps the set of B-D smaller)
 
 %:
-	./run dh $@ --no-parallel --without autoreconf --with build-stamp
+	./run dh $@ --without autoreconf --with build-stamp
 
 # Disable as they are unneeded (and we can then be sure debhelper
 # builds without needing autotools-dev, dh-strip-nondetermism etc.)

## debhelper 10.8~bpo9+1

=== Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
 
 version:
 	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
-		Debian/Debhelper/Dh_Version.pm
+		lib/Debian/Debhelper/Dh_Version.pm
 
 dh_%.1: dh_%
 	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@
@@ -109,7 +109,7 @@
 	$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $^ > $@
 
 clean:
-	rm -f *-stamp *.1 *.7 Debian/Debhelper/Dh_Version.pm
+	rm -f *-stamp *.1 *.7 lib/Debian/Debhelper/Dh_Version.pm
 ifneq ($(USE_NLS),no)
 	$(PO4A) --previous --rm-translations --rm-backups man/po4a/po4a.cfg
 endif
@@ -124,11 +124,11 @@
 		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
 	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
 	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
-	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
+	install -m 0644 lib/Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
 	[ "$(PREFIX)" = /usr ] || \
 		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
-	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
-	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
+	install -m 0644 lib/Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
+	install -m 0644 lib/Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
 
 test: version
 	MAKEFLAGS= HARNESS_OPTIONS=j$(TEST_JOBS) ./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x && m/\.t$$/ } @ARGV' t/* t/*/*

=== debian/changelog ===
debhelper (10.8~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Niels Thykier <niels@thykier.net>  Sun, 17 Sep 2017 13:42:44 +0000

debhelper (10.8) unstable; urgency=medium

  [ Niels Thykier ]
  * Dh_Lib: Introduce a qx_cmd sub to behave like a mix of qx
    and doit (i.e. avoid the shell while capturing stdout).
  * dh_makeshlibs: Avoid forking a shell when calling objdump in
    compat 11.
  * dh_shlibdeps: Avoid forking a shell when calling file.
  * dh_shlibdeps: Avoid passing files with "newline" to
    subprocesses.
  * dh_installdocs: Ignore missing files in compat 11 for packages
    that are not processed (e.g. arch:all packages during a -B build).
    Thanks to Jens Reyer for reporting the issue.  (Closes: #870892)
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_compress: Avoid forking a shell for a find command.
  * dh_gconf: Ditto.
  * dh_installgsettings: Ditto.
  * dh_perl: Avoid forking a shell for a dpkg call.
  * dh_gencontrol: Set the priority of all dbgsym packages to
    optional to be compliant with Standards-Version 4.0.1.
    Thanks to Mattia Rizzolo for the report.  (Closes: #870905)
  * dh_installdocs: Accept "nodoc" via DEB_BUILD_OPTIONS as well.
    Thanks to Sébastien Villemot for the suggestion.
    (Closes: #866619)
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_installwm: Ditto.
  * debhelper.pod: Tweak text for some compat 11 changes.
  * dh_installdeb: Stop emitting versioned Pre-Depends on dpkg for
    symlink_to_dir and dir_to_symlink maintscripts.  The version
    requirements are satisfied in oldoldstable.
  * dh_installdocs: Merge two chmod calls to save a fork+exec.
  * dh_strip: Disable parallelism when --dbg-package is used as it
    causes non-deterministic failures in some cases.  Thanks to
    Helmut Grohne for reporting the issue.  (Closes: #872007)
  * dh_installdocs: Auto-detect "main package" for documentation
    packages in compat 11 to assist with Debian policy §12.3.  This
    auto-detection can be overruled with the new --doc-main-package.
    (Closes: #824221)
  * dh_installexamples: Ditto.
  * dh_update_autotools_config: Improve detection to also catch very
    old versions of config.{guess,sub} that do not have the
    "timestamp" variable.  Thanks to Guillem Jover for reporting the
    bug.  (Closes: #872510)

  [ Adam Conrad ]
  * dh_gencontrol: Change the synopsis of dbgsym packages so it
    follows best practises.  (Closes: #872274)

  [ Geoffrey Thomas ]
  * Support building debhelper on case-insensitive filesystems by
    moving the Debian (perl package) to the lib subdirectory.
    (Closes: #873043)

 -- Niels Thykier <niels@thykier.net>  Sat, 09 Sep 2017 15:07:38 +0000

debhelper (10.7.2~bpo9+1) stretch-backports; urgency=medium

  * Non-maintainer upload on behalf of maintainer:
    Rebuild for stretch-backports (Closes: #873633).

 -- W. Martin Borgert <debacle@debian.org>  Wed, 30 Aug 2017 20:12:47 +0000
 

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Bernhard R. Link <brlink@debian.org>
 Build-Depends: dpkg-dev (>= 1.18.0~),
@@ -20,7 +19,7 @@
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism (>= 0.028~),
          dpkg (>= 1.16.2),
-         dpkg-dev (>= 1.18.23ubuntu3),
+         dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db (>= 2.5.1-1),
@@ -28,8 +27,7 @@
          ${misc:Depends},
          ${perl:Depends}
 Breaks: dh-systemd (<< 1.38)
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
+Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make
 Multi-Arch: foreign
 Description: helper programs for debian/rules

## debhelper 11~bpo9+1

=== debian/changelog ===
debhelper (11~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports.
    * Dh_Lib: Disable R³ support as we need dpkg{,-dev} (>= 1.19.0.4)
      for that.
    * d/control: Remove the R³ field; debhelper in backports cannot
      be built without (fake)root.
    * d/control: Reset versioned (Build-)Depends on dpkg and dpkg-dev
      due to the above.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Dec 2017 07:55:49 +0000

debhelper (11) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_installdeb: Do basic validation of rm_conffile and mv_conffile
    parameters in "maintscript" parameters in compat 10 and newer.
    In compat 12, this is an error.  Thanks to Andreas Beckmann for
    the suggestions.  (Closes: #882626)
  * dh_strip: Fix bug where the Build-Id field would not be properly
    filled when using --dbg-package.  Thanks to Paul Wise for finding
    and reporting the bug.  (Closes: #884152)
  * d/control: Bump Standards-Version to 4.1.2 - no changes required.
  * dh_installsystemd: Remove neutering of dh_installsystemd in compat
    levels prior to 11 now that compat 11 is stable.

  [ Chris Leick ]
  * debhelper.pod: Improve the wording of two parapraphs.

  [ Translations ]
  * Update Portuguese translation (Américo Monteiro)
    (Closes: #883635)
  * Update German translation (Chris Leick)  (Closes: #884205)

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 15:41:17 +0000

debhelper (10.10.9~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Retained changes required for backports.
    * Dh_Lib: Disable R³ support as we need dpkg{,-dev} (>= 1.19.0.4)
      for that.
    * d/control: Remove the R³ field; debhelper in backports cannot
      be built without (fake)root.
    * d/control: Reset versioned (Build-)Depends on dpkg and dpkg-dev
      due to the above.

 -- Niels Thykier <niels@thykier.net>  Sat, 25 Nov 2017 10:37:29 +0000

debhelper (10.10.9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * qmake.pm: Add missing import of generated_file.
  * meson.pm: Find typo of meson in the name of the cross config
    file.
  * qmake.pm: Push compiler information as ‘early’ flags to qmake, to
    make sure qmake calls the right compiler to get library paths.
  * qmake.pm: Add all possible settings to generated qmake-cross.conf.
    Now output of ‘qmake -query’ with and without using this file is
    identical. This makes cross-building Qt’s own modules possible.

  [ Niels Thykier ]
  * dh_missing: Permit a missing debian/tmp without failing in
    compat 11 when debian/tmp is an implicit source directory.
    Thanks to Christoph Biedl for reporting the bug.
    (Closes: #882083)
  * dh_missing: Improve the wording about "debian/not-installed".

 -- Niels Thykier <niels@thykier.net>  Sun, 19 Nov 2017 11:04:45 +0000

debhelper (10.10.8) unstable; urgency=medium

  [ Niels Thykier ]
  * Document that compat 11 is now in its open beta phase.
  * Dh_Getopt: Improve warning message when a package is excluded
    due to profiles or architecture restrictions.
  * dh_install: Properly allow patterns to be excluded without
    complaining about missing files.  (Closes: #881658)
  * qmake.pm: Ensure that the qmake cross-build config file
    survives until clean.

  [ Dmitry Shachnev ]
  * qmake.pm: Set QMAKE_LINK correctly for cross-builds.

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Nov 2017 19:46:00 +0000

debhelper (10.10.7) unstable; urgency=medium

  * dh_strip: Fix a regression that caused debug symbols for
    executables to be discarded instead of included into
    debug packages.
  * Dh_Lib: Ensure that $dh{U_PARAMS} is always defined as a
    list.  Thanks to Adrian Bunk for the bug report.

 -- Niels Thykier <niels@thykier.net>  Sat, 11 Nov 2017 14:10:21 +0000

debhelper (10.10.6) unstable; urgency=medium

  [ Axel Beckert ]
  * Cleanup trailing whitespace in ancient debian/changelog entries and
    debian/rules.
  * Fix typo "belive" in debian/copyright and ancient debian/changelog
    entries.
  * Use HTTPS in debian/copyright format URL.

  [ Niels Thykier ]
  * Remove support for named compat levels.
  * dh_perl: Make dh_perl faster on packages with large doc
    directories by pruning the entire doc directory.
  * dh,dh_auto_*: Support skipping all of the dh_auto_* helpers if the
    package does not seem to have a build system (and there are no build
    system related options passed to dh).
  * Dh_Lib.pm: Define a (hardcoded) extension for dbgsym packages.
  * dh_gencontrol: Pass -DPackage-Type to dpkg-gencontrol when the
    package type for dbgsym is different than for regular deb packages.
  * dh_builddeb: Automatically handle renaming of dbgsym packages when
    the extension of the dbgsym packages are different than for regular
    deb packages.
  * dh_installsystemd,dh_systemd_start: Use "restart" instead of the
    "try-restart" action.  This ensures that newly added services are
    started the first time they are installed.  (Closes: #879727,
    LP: #1707880)
  * dh_install: Fix regression where it was no longer possible to
    exclude an entire pattern / source file.  Thanks to James Cowgill
    for the report.  (Closes: #814856, LP: #1554979)
  * dh_installsystemd: Permit missing explicitly requested file in
    package as long as another on being acted on ships it.
  * dh_installsystemd: Optimize the search for files installed in the
    tmpfiles.d directories to only look in the tmpfiles.d directories.
  * Add experimental support for building some packages for "TARGET"
    rather than "HOST" via the X-DH-Build-For-Type field.  The field
    is subject to removal and changes without notice.  The field is
    not considered by dpkg tooling and therefore you will still have
    to manually work around tools like dpkg-gencontrol (even when
    called via dh_gencontrol).
  * dh_makeshlibs: Ignore non-ELF files even if they are named ".so".


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a (>= 0.24)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git
@@ -18,7 +18,7 @@
          binutils,
          dh-autoreconf (>= 12~),
          dh-strip-nondeterminism (>= 0.028~),
-         dpkg (>= 1.16.2),
+         dpkg (>= 1.16.2~),
          dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
@@ -28,7 +28,7 @@
          ${perl:Depends}
 Breaks: dh-systemd (<< 1.38)
 Replaces: dh-systemd (<< 1.38)
-Suggests: dh-make
+Suggests: dh-make, dwz
 Multi-Arch: foreign
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to
@@ -40,7 +40,6 @@
 
 Package: dh-systemd
 Section: oldlibs
-Priority: extra
 Architecture: all
 Multi-Arch: foreign
 Depends: debhelper (>= 9.20160709),

## debhelper 11.1.4ubuntu1~cloud0

=== Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 
 po4a-stamp:
-	po4a --previous -L UTF-8 man/po4a/po4a.cfg
+	$(PO4A) --previous -L UTF-8 man/po4a/po4a.cfg
 	touch $@
 
 translated-%-stamp: po4a-stamp

=== debian/changelog ===
debhelper (11.1.4ubuntu1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 05 Feb 2018 11:47:23 +0000

debhelper (11.1.4ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Feb 2018 22:14:23 -0700

debhelper (11.1.4) unstable; urgency=medium

  * qmake.pm/qmake4.pm: Avoid global state in the build systems.
  * dh_makeshlibs: Fix --no-act, which could still cause writes
    to the shlibs file.  Thanks to Sven Joachim for reporting it.
    (Closes: #888974)
  * dh_installdocs: Discard auto-detected main doc package when
    passed -A/--all as it causes file-conflicts.
    (Closes: #886108, #888294)
  * Dh_Lib: Fix regression where "foo{bar}" would not be matched
    when the pattern was handled as a glob.  The bug was
    introduced in debhelper/10.6.  Thanks to Wouter Verhelst for
    finding the bug.  (Closes: #888251)
  * d/control: Update the Vcs-* fields to point to
    salsa.debian.org as a part of the migration from alioth.
  * d/control: Update maintainer address debhelper@packages.d.o
    as a part of the migration from alioth.  Any subscription
    to debhelper-devel@lists.alioth.debian.org should be
    replaced by a subscription in tracker.debian.org or
    salsa.debian.org.
  * d/control: Remove Bernhard R. Link from uploaders as he does
    not appear to be active in debhelper at the moment.  Thanks
    to Bernhard for his past contributions.
  * d/control: Bump (Build-)Dependency on dpkg to ensure that
    dpkg provides DEB_RULES_REQUIRES_ROOT and DEB_GAIN_ROOT_CMD
    as a part of its Rules-Requires-Root support.
  * Dh_Lib.pm: Rely on DEB_RULRES_REQUIRES_ROOT instead of the
    field to determine whether or not tools may "root-only"
    actions (such as chown'ing).
  * d/control: Bump dependency on dh-autoreconf to ensure that
    packages do not experience #887482.
  * makefile.pm: Ensure that command line arguments are passed
    deterministically to make when cross-compiling.

 -- Niels Thykier <niels@thykier.net>  Wed, 31 Jan 2018 21:36:13 +0000

debhelper (11.1.3ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 22 Jan 2018 11:19:26 -0700

debhelper (11.1.3) unstable; urgency=medium

  * autoscripts/*: Improve rollback handling of many scripts.
    Notably a lot of scripts failed to rerun the postinst parts
    on an "abort-upgrade".  (Closes: #446856)
  * debian/control: Add a Breaks on meson to ensure that we have
    meson (>= 0.40.0) as the meson build system uses --wrap-mode.
    This is mostly relevant for backports.
  * Dh_Lib.pm: When printing commands (e.g. for doit), also show
    changes to the environment (when done as a part of the
    command).
  * ninja.pm: Set LC_ALL=C.UTF-8 when calling ninja to avoid
    meson choking on UTF-8 characters when it embeds itself into
    e.g. the build or install.  (Closes: #873831)
  * dh: Remove the assumption that sequences will supply only
    "safe no-op" parameters to commands.  Thanks to Axel Beckert
    and Sascha Steinbiss for the report.  (Closes: #887727)

 -- Niels Thykier <niels@thykier.net>  Sat, 20 Jan 2018 18:26:06 +0000

debhelper (11.1.2ubuntu1) bionic; urgency=medium

  * Merge with Debian testing; remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Jan 2018 11:52:11 -0700

debhelper (11.1.2) unstable; urgency=medium

  * dh: Fix non-sense error about a missing "startpoint object
    method".

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Jan 2018 21:31:40 +0000

debhelper (11.1.1) unstable; urgency=medium

  * dh: Fix an off-by-one in a compat check.  This fixes an
    internal error for compat 9 packages that requires dh to
    recurse into the debian/rules file.  Thanks to Helmut
    Grohne for reporting the bug.  (Closes: #886518)

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Jan 2018 09:48:17 +0000

debhelper (11.1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * dh: Provide the DH_EXTRA_ADDONS environment as a method for
    e.g. derivatives to enable additional debhelper add-ons.
    It is *not* a replacement for the --with parameter (which
    package maintainers should still use).  (Closes: #570935)

  [ Hideki Yamane ]
  * Fix typo of unnecessary.  (Closes: #884574)

  [ Niels Thykier ]
  * dh_missing: Support wildcards in debian/not-installed.  Thanks
    to Maximiliano Curia for the suggestion.  (Closes: #884556)
  * dh_missing: Tweak handling of missing source directory and
    single binary packages.
  * dh_missing: Make --list-missing the default in compat 12.
    Thanks to Daniel Leidert and Christian Göttsche for the
    suggestions.  (Closes: #650129, #858834)
  * meson.pm: Set LC_ALL to C.UTF-8 when invoking meson and


=== debian/control ===
--- 
+++ 
@@ -1,32 +1,45 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-           Bernhard R. Link <brlink@debian.org>
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
-               po4a (>= 0.24)
-Standards-Version: 4.1.2
+               po4a,
+Standards-Version: 4.1.3
 Testsuite: autopkgtest-pkg-perl
-Vcs-Git: https://anonscm.debian.org/git/debhelper/debhelper.git
-Vcs-Browser: https://anonscm.debian.org/git/debhelper/debhelper.git
+Vcs-Git: https://salsa.debian.org/debian/debhelper.git
+Vcs-Browser: https://salsa.debian.org/debian/debhelper
 
 Package: debhelper
 Architecture: all
 Depends: autotools-dev,
          binutils,
-         dh-autoreconf (>= 12~),
+# Version 12 is where dh-autoreconf supports --sourcedirectory.  Can be
+# relaxed if no packages rely on it.
+# Version 16 fixes #887482
+         dh-autoreconf (>= 16~),
+# Version constraint is to get a version of dh-strip-nondeterminism
+# without several bugs.  The constraint can be relaxed if an older
+# version is sufficient.
          dh-strip-nondeterminism (>= 0.028~),
+# Rules-Requires-Root support.  Otherwise it stops at 1.18.0/1.18.2 for dbgsym support.
          dpkg (>= 1.16.2~),
          dpkg-dev (>= 1.18.2~),
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
-         man-db (>= 2.5.1-1),
+         man-db,
          po-debconf,
          ${misc:Depends},
          ${perl:Depends}
-Breaks: dh-systemd (<< 1.38)
+Breaks: dh-systemd (<< 1.38),
+# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
+# - Can be dropped (with the caveat that cmake packages may behave differently
+#   depending on the version of cmake).
+        cmake (<< 3.9~),
+# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
+        meson (<< 0.40.0~),
 Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make, dwz
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # If you're looking for an example debian/rules that uses debhelper, see
 # the examples directory.
-# 
+#
 # Each debhelper command in this rules file has to be run using ./run,
 # to ensure that the commands and libraries in the source tree are used,
 # rather than the installed ones.
